WordPress Plug-Ins to Protect Your Blog or Website

April 7, 2010 by · Leave a Comment 

WordPress is one of the most popular blogging platforms used by home businesses and entrepreneurs. It’s out of the box robustness, do-it-yourself ease of use and search engine friendliness has meant that many people are also choosing to use WordPress for their main website too.

To protect your blog or website, there are many excellent WordPress plug-ins that you can use. Below are several plug-ins to install that will protect your blog in the event of a server crash, hack or other unfortunate event.

Automatically Update Your WordPress Version

WordPress is constantly evolving. The WordPress developers work feverishly to make WordPress as user-friendly as possible as well as keeping it up-to-date with trends and changes in the Internet and search engines. As a result, a new version of WordPress is released every few months or more. This could be a big hassle, except – as you might have guessed, there is a plug-in to help you stay current.

WordPress Automatic Upgrade is exactly as it sounds. It will prompt you through 5 easy steps to updating your version of WordPress. Previously you had to download the software, upload it to your server and install the upgrade. This plug-in saves users lots of time and frustration!

WordPress upgrades often involve closing up security holes that hackers have unveiled to wreak their havoc. Keeping your WordPress version current is important to the security of your site.

Back Up Your Blog Automatically

Imagine the devastation of having months or years of posts on your blog and losing it all to a hacker or a server crash. No worries if you have the following plug-ins installed!

WordPress BackUp is an essential plug-in for all bloggers and blog administrators. This plug-in automatically backs up your theme, plug-ins and uploads file. You can schedule the frequency of the backups and have the files zipped and emailed to an address you designate. This plug-in should be considered a “required” plug-in for all bloggers.

WP-DBManager allows you to automatically schedule the back up your WordPress database. This plug-in can backup, repair, restore and fix your database. It too should be considered a “required” plug-in.

The combination of these two plug-ins will protect you in the event of a blog disaster.

In general WordPress is a very stable platform. Aside from the automatic upgrade, hopefully you will never need these plug-ins. However, the ease of installing these plug-ins and the value they can provide if disaster were to occur, make them essential for any blogger or WordPress website owner.  I strongly encourage you to protect your site by adding these plug-ins as soon as possible.

About Amy Bleser

Speak Your Mind

Tell us what you're thinking...
and oh, if you want a pic to show with your comment, go get a gravatar!